# This file tests that the Python methods setADCWidths()
# and getTimeVoltagePairsADC() return 0 if there are no 
# ADCs in the netlist.  Also, that the Python interface
# doesn't crash in that case.  Note that the .py file
# only initializes the N_CIR_Xyce object.  It does not
# run the simulation.  So, there is no Xyce .prn file
# made by this test.

from xyce_interface import xyce_interface

# this calls the xyce_interface.open() method to
# make a xyce object

xyceObj = xyce_interface()
print( xyceObj )

argv= ['noADCtest.cir']
print( "calling initialize with netlist %s" % argv[0] )

result = xyceObj.initialize(argv)
print( "return value from initialize is %d" % result )

# get ADC names;
(result, names) = xyceObj.getDeviceNames("YADC")
print( "return value from getDeviceNames is %d" % result )
print( names )

#set ADC widths.  This is hard-coded for two ADCs, and must match the 
# WIDTH variables on the ADC instance lines.
width=[]
result = xyceObj.setADCWidths(names,width)
print( "return value from setADCWidths is %d" % result )

(result, ADCnames, numADCnames, numPoints, timeArray, voltageArray) = xyceObj.getTimeVoltagePairsADC()
print( "return value from getTimeVoltagePairsADC is %d" % result )
print( "number of ADC names returned by getTimeVoltagePairsADC is %d" % numADCnames )
print( "number of points returned by getTimeVoltagePairsADC is %d" % numPoints )

print( "calling close")
xyceObj.close()

